org.fourthline.cling.model

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.fourthline.cling.model.ValidationException

- All Implemented Interfaces:
    Serializable

      public class ValidationException
      extends Exception

  Thrown if integrity rule violations are exceptional, encapsulating the errors.
  Author:
    Christian Bauer
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<ValidationError>` | `errors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationException(String s)`
    `ValidationException(String s, List<ValidationError> errors)`
    `ValidationException(String s, Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ValidationError>` | `getErrors()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errors

          public List<ValidationError> errors

  - ### Constructor Detail

    - #### ValidationException

          public ValidationException(String s)

    - #### ValidationException

          public ValidationException(String s,
                                     Throwable throwable)

    - #### ValidationException

          public ValidationException(String s,
                                     List<ValidationError> errors)

  - ### Method Detail

    - #### getErrors

          public List<ValidationError> getErrors()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.